GET /api/v3/widget/actionablebillcounts/{specificWidgetId}

Returns counts of bills Held from Export, bills Waiting for Export to AP, bills Waiting for Export to GL, bills which are Not Approved, bills with unresolved flags, and bills created in the past seven days.

GetActionableBillCountsV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId Identifier for a specific Bill Status widget on a dashboard integer (int32) Required

Query Parameters

Name Description Type Required
filter Filter string which may add to or override saved filter values during this request string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ActionableBillCounts
Property Description Type
apExportCount Count of bills Waiting for Export to AP integer (int32)
approvalCount Count of bills which are Not Approved integer (int32)
auditProblemCount Count of bills with unresolved flags integer (int32)
createdLastSevenDaysCount Count of bills created in the last seven days integer (int32)
exportHoldCount Count of bills Held from Export integer (int32)
glExportCount Count of bills Waiting for Export to GL integer (int32)
Example Response application/json
{  "apExportCount": 1,  "approvalCount": 1,  "auditProblemCount": 1,  "createdLastSevenDaysCount": 1,  "exportHoldCount": 1,  "glExportCount": 1
}